# Delete Steps Count

Use the `deleteStepsCount` mutation to delete the desired "steps count" entry from the given ID.

### **Required Arguments**

<table data-header-hidden><thead><tr><th width="201.33333333333331">Argument</th><th>Type</th><th>Note</th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Note</td></tr><tr><td><code>id</code></td><td>ID!</td><td>Id of "steps count" entry to be deleted</td></tr></tbody></table>

### **Available Fields**

| Field     | Type    | Note                                                                                           |
| --------- | ------- | ---------------------------------------------------------------------------------------------- |
| `success` | Boolean | **true:** If the entry has been deleted created successfully. Otherwise, it displays **false** |
| `message` | String  | The message returns either if the information has been updated or not.                         |

### Example <a href="#example" id="example"></a>

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  deleteStepsCount (
   id: "3aa082cf-1b4f-418a-bddf-a85c31e97bfc"
  ) 
  {
    success
    message
  }
}
```

{% endtab %}

{% tab title="Headers" %}

```graphql
{
  "Authorization": "Bearer <insert_your_token_here>"
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "addExerciseEntry": {
      "success": true,
      "message": "Steps entry deleted"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/tracking/steps/delete-steps-count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
